﻿using System.CommandLine;
using MycroForge.Core.Contract;
using Core_RootCommand = MycroForge.Core.RootCommand;
using RootCommand = MycroForge.Core.RootCommand;

namespace MycroForge.CLI.Commands;

public sealed partial class MycroForge : Core_RootCommand
{
    public override string Name => "m4g";

    public MycroForge(
        IEnumerable<ISubCommandOf<MycroForge>> defaults,
        IEnumerable<ISubCommandOf<RootCommand>> plugins
    ) : base("The MycroForge CLI tool.")
    {
        foreach (var command in defaults.Cast<Command>())
            AddCommand(command);

        foreach (var command in plugins.Cast<Command>())
            AddCommand(command);
    }
}